import { IList$1, Base, Type } from "./type";
export declare class Flattener extends Base {
    constructor();
    static d(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: number): IList$1<number>;
    static c(a: IList$1<number>, b: (arg1: number) => number, c: (arg1: number) => number, d: number, e: number, f: number): IList$1<number>;
    static a(a: IList$1<number>, b: IList$1<number>, c: (arg1: number) => number, d: (arg1: number) => number, e: number, f: number, g: number): IList$1<number>;
    private static b(a, b, c, d, e, f, g);
    private static e(a, b, c, d, e, f, g);
    static $t: Type;
}
